#pragma once
#include "fs/devices/DeviceRegistry.h"

class NullDevice : public Device
{
  public:
    // Initializer for DeviceRegistry.
    static Result<void> create();

    Result<usize> read(u8*, usize, usize) const override
    {
        return 0;
    }

    Result<usize> write(const u8*, usize, usize) override
    {
        return 0;
    }

    bool blocking() const override
    {
        return false;
    }

    virtual ~NullDevice() = default;
};
